#2551 Deleting multiple emails ONLY delete the 1st one

closed
nobody
None
5
2008-02-13
2007-12-19
No

I have been trying to get SquirrelMail to work with SoftalkMail and it has been a challange so far.

At this point I have been wble to see all email, but it does not allow moving email from one folder to another (Folders are in MS SQL Server 2000)

Also I have the issue that when I delete multiple emails. only the firtst email deletes. If the first email is not selected none will be deleted.

At this point I do not know if this is a configuration issue or a bug in Squirrelmail or in Softalk Mail. But this is what I see in the logs.....

================================================

IMAPSND (12/18/2007 19:03:33, 15856)>A001 OK LOGIN completed
IMAPSND (12/18/2007 19:03:33, 15856, 192.168.28.232)<A002 SELECT "INBOX"
IMAPSND (12/18/2007 19:03:33, 15856)>* 82 EXISTS
IMAPSND (12/18/2007 19:03:33, 15856)>* 0 RECENT
IMAPSND (12/18/2007 19:03:33, 15856)>* OK [UNSEEN 1]
IMAPSND (12/18/2007 19:03:33, 15856)>* OK [UIDVALIDITY 799]
IMAPSND (12/18/2007 19:03:33, 15856)>* FLAGS (\Deleted \Seen \Answered \Recent \Draft \Flagged)
IMAPSND (12/18/2007 19:03:33, 15856)>A002 OK [READ-WRITE] SELECT completed
IMAPSND (12/18/2007 19:03:33, 15856, 192.168.28.232)<A003 EXPUNGE
IMAPSND (12/18/2007 19:03:33, 15856)>A003 OK EXPUNGE completed
IMAPSND (12/18/2007 19:03:33, 15856, 192.168.28.232)<A004 LIST "" "/Deleted Items"
IMAPSND (12/18/2007 19:03:33, 15856)>A004 OK LIST completed
IMAPSND (12/18/2007 19:03:33, 15856, 192.168.28.232)<A005 STORE 68:82 +FLAGS (\Deleted)
IMAPSND (12/18/2007 19:03:33, 15856)>* 68 FETCH (UID 1265212 FLAGS ())
IMAPSND (12/18/2007 19:03:33, 15856)>* 69 FETCH (UID 1265213 FLAGS ())
IMAPSND (12/18/2007 19:03:33, 15856)>* 70 FETCH (UID 1265214 FLAGS ())
IMAPSND (12/18/2007 19:03:33, 15856)>* 71 FETCH (UID 1265215 FLAGS ())
IMAPSND (12/18/2007 19:03:33, 15856)>* 72 FETCH (UID 1265216 FLAGS ())
IMAPSND (12/18/2007 19:03:33, 15856)>* 73 FETCH (UID 1265217 FLAGS ())
IMAPSND (12/18/2007 19:03:33, 15856)>* 74 FETCH (UID 1265218 FLAGS ())
IMAPSND (12/18/2007 19:03:33, 15856)>* 75 FETCH (UID 1265219 FLAGS ())
IMAPSND (12/18/2007 19:03:33, 15856)>* 76 FETCH (UID 1265220 FLAGS ())
IMAPSND (12/18/2007 19:03:33, 15856)>* 77 FETCH (UID 1265221 FLAGS ())
IMAPSND (12/18/2007 19:03:33, 15856)>* 78 FETCH (UID 1265222 FLAGS ())
IMAPSND (12/18/2007 19:03:33, 15856)>* 79 FETCH (UID 1265225 FLAGS ())
IMAPSND (12/18/2007 19:03:33, 15856)>* 80 FETCH (UID 1265226 FLAGS ())
IMAPSND (12/18/2007 19:03:33, 15856)>* 81 FETCH (UID 1265227 FLAGS ())
IMAPSND (12/18/2007 19:03:33, 15856)>* 82 FETCH (UID 1265228 FLAGS (\Deleted))
IMAPSND (12/18/2007 19:03:33, 15856)>A005 OK STORE completed
IMAPSND (12/18/2007 19:03:33, 15856, 192.168.28.232)<A006 EXPUNGE
IMAPSND (12/18/2007 19:03:33, 15856)>* 82 EXPUNGE
IMAPSND (12/18/2007 19:03:33, 15856)>A006 OK EXPUNGE completed
IMAPSND (12/18/2007 19:03:33, 15856, 192.168.28.232)<A007 LOGOUT
IMAPSND (12/18/2007 19:03:33, 15856)>* BYE IMAP4rev1 Server logging out
IMAPSND (12/18/2007 19:03:33, 15856)>A007 OK LOGOUT completed

Thank you

Gerry Lieberwirth

Discussion

  • Jonathan Angliss

    Logged In: YES
    user_id=620333
    Originator: NO

    You neglect to mention any version information, however, based on the IMAP transactions, it looks like you're using a version of the 1.4 branch. You should try adding $uid_support = true; into config/config.php if it doesn't already exist. Then see if your issue still exists.

    Also, your IMAP server seems to not be respecting the commands we're issuing. We've told it to make messages 68 through to 82 as deleted (the \Deleted flag), however, the IMAP server is responding that it has only changed the last message. You should report this issue to the vendor of the IMAP server.

     
  • Paul Lesniewski

    Paul Lesniewski - 2008-01-30

    Logged In: YES
    user_id=508228
    Originator: NO

    Shouldn't this be changed to Pending or Closed? I don't think this is a SquirrelMail bug.

     
  • Jonathan Angliss

    • status: open --> pending
     
  • SourceForge Robot

    • status: pending --> closed
     
  • SourceForge Robot

    Logged In: YES
    user_id=1312539
    Originator: NO

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks